#include<iostream>
#include<algorithm>
using namespace std;
int binarnap(int a[],int n,int x,int& min1,int& max1)
{

    int sred;
    while(min1<max1){
        sred=(min1+max1)/2;
        if(a[sred]==x)
            return sred;
        else if (a[sred]>x)
        {
            min1=sred+1;
        }
        else
        {
            max1=sred-1;
        }
    }
    return -1;
}
int main()
{
    int n,q;
    cin>>n>>q;
    int a[n],b[q],c[q];
    for(int i=0;i<n;i++)
        cin>>a[i];
    for(int i=0;i<q;i++)
        cin>>b[i];
    sort(a,a+n);
    for(int i=0;i<q;i++)
    {
        int min1=0;
        int max1=n-1;
        int k;
        k=binarnap(a,n,b[i],min1,max1);
        cout<<min1<<" "<<max1<<endl;
        if(k==-1&& min1==max1)
        {
            c[i]=n;
        }
        else if(k==-1 &&min1!=max1)
        {
            min1=n-min1;
            c[i]=max(max1,min1)-min(max1,min1);
        }
        else if(k>-1)
        {
            
            int k1=n-k-1;
             c[i]=max(k,k1)-min(k,k1);
        }

    }
    for(int i=0;i<q;i++)
        cout<<c[i]<<" ";
    return 0;

}